<?xml version="1.0" encoding="UTF-8"?>
<?soap-response-to requestType="EndBankBatchReq" namespace="http://www.nrs.eskom.co.za/xmlvend/revenue/2.1/schema"?>
<xsl:stylesheet 
    version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xmlns:r="http://www.nrs.eskom.co.za/xmlvend/revenue/2.1/schema"
    xmlns:b0="http://www.nrs.eskom.co.za/xmlvend/base/2.1/schema">
    
    <!-- Import common templates -->
    <xsl:import href="../common/common.xsl"/>
    
    <!-- Match the root element of the request message -->
    <xsl:template match="/r:endBatchReq">
        
                <r:endBatchResp>
                    
                    <!-- Insert the Common request attributes -->
                    <xsl:call-template name="baseResponseAttributes"/>
                    
                    <b0:dispHeader>End Bank Batch</b0:dispHeader>
                    <b0:operatorMsg>The Banking Batch has been closed</b0:operatorMsg>
                    <r:endBatch xsi:type="r:BankBatch" seqNo="123">
                        <r:started>2005-10-27T14:55:56.041Z</r:started>
                        <r:ended>2005-10-28T08:33:33.041Z</r:ended>
                        <r:batchTot value="5154" symbol="ZAR"/>
                        <r:firstSalesSeqNo>1233</r:firstSalesSeqNo>
                        <r:lastSalesSeqNo>1235</r:lastSalesSeqNo>
                        <r:depSlip bankingRefNo="1234567890" >
                            <r:header>Deposit Slip</r:header>
                            <r:amt value="1200" symbol="ZAR"/>
                            <r:beneficiary accName="Foo Electricity" accNo="1234567890" branchCode="123456" bankName="Bar Bank" bankRegNo="1234567890"/>
                        </r:depSlip>
                      </r:endBatch>
                </r:endBatchResp>

    </xsl:template>
    
</xsl:stylesheet>
