<?xml version="1.0" encoding="UTF-8"?>
<?soap-response-to requestType="TestAllReq" namespace="http://www.nrs.eskom.co.za/xmlvend/meter/2.1/schema"?>
<xsl:stylesheet 
    version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xmlns:m0="http://www.nrs.eskom.co.za/xmlvend/meter/2.1/schema"
    xmlns:b0="http://www.nrs.eskom.co.za/xmlvend/base/2.1/schema">
    
    <!-- Import common templates -->
    <xsl:import href="../common/common.xsl"/>
    
    <!-- Match the root element of the request message -->
    <xsl:template match="/m0:nonMeterSpecificEngReq">
        
            <m0:nonMeterSpecificEngResp xsi:type="m0:TestAllResp">
                
                    <!-- Insert the Common request attributes -->
                    <xsl:call-template name="baseResponseAttributes"/>
                    
                <b0:dispHeader>Non Meter Specific Engineering - Test All Token</b0:dispHeader>
                <m0:testAll>
                    <m0:desc>Test All Token</m0:desc>
                    <xsl:copy-of select="./m0:meterType"/>
                    <m0:token xsi:type="b0:STS1Token">
                        <b0:stsCipher>56493153725450313471</b0:stsCipher>
                    </m0:token>
                </m0:testAll>
            </m0:nonMeterSpecificEngResp>
        
    </xsl:template>
    
</xsl:stylesheet>
