<?xml version="1.0" encoding="UTF-8"?>
<?soap-response-to requestType="VendorStatementReq" namespace="http://www.nrs.eskom.co.za/xmlvend/revenue/2.1/schema"?>
<xsl:stylesheet 
    version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xmlns:r0="http://www.nrs.eskom.co.za/xmlvend/revenue/2.1/schema"
    xmlns:b0="http://www.nrs.eskom.co.za/xmlvend/base/2.1/schema">
    
    <!-- Import common templates -->
    <xsl:import href="../common/common.xsl"/>
    
    <!-- Match the root element of the request message -->
    <xsl:template match="/r0:vendorStatementReq">
        
                <r0:vendorStatementResp>
                    
                    <!-- Insert the Common request attributes -->
                    <xsl:call-template name="baseResponseAttributes"/>
                    
                    <b0:dispHeader>Vendor Credit  Statement</b0:dispHeader>
                    <r0:statement>
                        <r0:accNo>12345678</r0:accNo>
                        <r0:accBal value="2300" symbol="ZAR"/>
                        <r0:availCredit value="2300" symbol="ZAR"/>
                        <r0:lineItem>
                            <r0:desc>Bank Deposit</r0:desc>
                            <r0:amt value="1000" symbol="ZAR"/>
                            <r0:appliedDate>2005-10-27T14:55:56.041Z</r0:appliedDate>
                        </r0:lineItem>
                        <r0:lineItem>
                            <r0:desc>Manual Adjustment</r0:desc>
                            <r0:amt value="600" symbol="ZAR"/>
                            <r0:appliedDate>2005-10-27T14:55:56.041Z</r0:appliedDate>
                        </r0:lineItem>
                     </r0:statement>
                </r0:vendorStatementResp> 
        
    </xsl:template>
    
</xsl:stylesheet>        